Description

Passer le tableau de coefficients k_fO en paramétre des fonction BP1_set et BP2_set pour avoir une déclaration générique de ces
fonctions. Il faut qu'elles soient utilisable sans modification (autre que I'appel avec des tableaux spécifiques pou f0, f1 et f2) pour les
données a f1 et f2.

Exemple:
static inline void BP1_set(float * compressed_spec_mat, unsigned char nb_bins_compressed_spec_mat, unsigned char * Ifr_bp1);

devient:
static inline void BP1_set(float * compressed_spec_mat, unsigned char nb_bins_compressed_spec_mat, unsigned char * Ifr_bp1,
float k[][32]);

Il faut mettre le nombre de colonnes du tableau dans la déclaration du tableau.

History

#1 - 19/05/2014 10:03 AM - paul leroy

De plus, actuellement le tableau posséde 11 lignes (NB_BINS_COMPRESSED_MATRIX_f0) alors que pour le calcul des BP1 en mode SBM1,
NB_BINS_COMPRESSED_MATRIX_f0 vaut 22.
II faudrait donc distinguer les cas NB_BINS_COMPRESSED_MATRIX_focNORM de NB_BINS_COMPRESSED_MATRIX_fo_SBMA.

#2 - 20/05/2014 02:41 PM - thomas chust

- Status changed from New to Resolved
Voila Paul, c'est fait. J'ai fait une version 1.5 (r12:bbf448e745b1) : ici

#3 - 26/06/2014 04:22 PM - thomas chust

- Status changed from Resolved to Closed
